* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

header {
    background-color: grey;
    padding: 8px 0;
}

nav {
    display: flex;
    justify-content: space-around;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
}

ul {
    display: flex;
    gap: 20px;
}

li {
    list-style: none;
}
a {
    text-decoration: none;
    color: white;
}
.logo a {
    color: white;
    text-decoration: none;
    font-size: 24px;
}


:root {
    --clr-primary-green: hsl(158, 36%, 37%); 
    --clr-primary-green-dark: hsl(158, 42%, 18%);
    --clr-neutral-dark: hsl(212, 21%, 14%);
    --clr-neutral-grey: hsl(228, 12%, 48%);
    --clr-neutral-cream: hsl(30, 38%, 92%); 
    --clr-white: hsl(0, 0%, 100%);
    --ff-heading: 'Fraunces', serif; 
    --ff-body: 'Montserrat', sans-serif; 
    --fs-body: 14pxrem; 
}

body {
    font-family: var(--ff-body);
    color: var(--clr-neutral-grey);
    font-size: var(--fs-body);
    background-color: #f0f0f0;
    min-height: 100vh; 
}

main {
    display: grid;
    place-content: center;
    padding: 32px 0;
    background-color: var(--clr-neutral-cream); 
}

.card-container {
    --content-padding: 24px;
    background-color: var(--clr-white); 
    border-radius: 10px; 
    margin: 16px; 
    max-width: 340px; 
    overflow: hidden;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
}

.card-image img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card-content {
    padding: var(--content-padding);
    display: grid;
    gap: 16px;
}

.category {
    letter-spacing: 5px;
    text-transform: uppercase;
    font-size: 12px; 
}

.title {
    font-family: var(--ff-heading); 
    font-size: 32px; 
    line-height: 1;
    color: var(--clr-neutral-dark);

    margin-top: 8px;
}

.description {
    line-height: 1.6;
}

.pricing {
    display: flex;
    align-items: center;
    gap: 24px;
    margin-top: 8px;
    margin-bottom: 8px;
}

.current-price {
    font-family: var(--ff-heading); 
    font-size: 32px;
    color: var(--clr-primary-green);
    font-weight: 700;
}

.old-price {
    text-decoration: line-through;
}

.add-to-cart {
    cursor: pointer;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    background-color: var(--clr-primary-green);
    color: var(--clr-white);
    padding: 16px 0;
    border: none;
    border-radius: 8px;
    font-weight: 700;
    transition: background-color 0.2s ease;
}

.add-to-cart:hover,
.add-to-cart:focus {
    background-color: var(--clr-primary-green-dark); 
}


@media (min-width: 600px) {
    .card-container {
        --content-padding: 32px;
        display: grid;
        grid-template-columns: 1fr 1fr;
        max-width: 600px; 
    }
}